Delete Paragraph
curl --request DELETE \
--url https://catalystapi.superdashhq.com/api/v1/knowledgeBase/deleteParagraph/{workspaceId}/{kbId}/{paragraphKey} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://catalystapi.superdashhq.com/api/v1/knowledgeBase/deleteParagraph/{workspaceId}/{kbId}/{paragraphKey}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://catalystapi.superdashhq.com/api/v1/knowledgeBase/deleteParagraph/{workspaceId}/{kbId}/{paragraphKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
msg: "Paragraph deleted successfully"
}
{
msg: "Knowledge base does not exist"
}
{
message: "Api key is not valid"
}
{
msg: "Internal Server Error"
}
Paragraphs
Delete Paragraph
Delete a paragraph from the knowledge base
DELETE
/
v1
/
knowledgeBase
/
deleteParagraph
/
{workspaceId}
/
{kbId}
/
{paragraphKey}
Delete Paragraph
Authorizations
string
required
API Key associated with the workspace
Path Parameters
string
required
UUID associated with the Workspace
string
required
UUID of the Knowledge base
string
required
The
Key of the ParagraphResponse
{
msg: "Paragraph deleted successfully"
}
{
msg: "Knowledge base does not exist"
}
{
message: "Api key is not valid"
}
{
msg: "Internal Server Error"
}
⌘I